org.jfree.report.modules.gui.swing.preview

## Class PageBackgroundDrawable

- java.lang.Object
- - org.jfree.report.modules.gui.swing.preview.PageBackgroundDrawable

-     public class PageBackgroundDrawable
      extends java.lang.Object

  Creation-Date: 17.11.2006, 20:31:36
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageBackgroundDrawable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the object.
    `org.jfree.layouting.modules.output.graphics.PageDrawable` | `getBackend()`
    `java.awt.Dimension` | `getPreferredSize()`
    `float` | `getShadowSize()`
    `double` | `getZoom()`
    `boolean` | `isBorderPainted()`
    `boolean` | `isPreserveAspectRatio()`
    `void` | `setBackend(org.jfree.layouting.modules.output.graphics.PageDrawable backend)`
    `void` | `setBorderPainted(boolean borderPainted)`
    `void` | `setShadowSize(float shadowSize)`
    `void` | `setZoom(double zoom)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageBackgroundDrawable

          public PageBackgroundDrawable()

  - ### Method Detail

    - #### getBackend

          public org.jfree.layouting.modules.output.graphics.PageDrawable getBackend()

    - #### setBackend

          public void setBackend(org.jfree.layouting.modules.output.graphics.PageDrawable backend)

    - #### isBorderPainted

          public boolean isBorderPainted()

    - #### setBorderPainted

          public void setBorderPainted(boolean borderPainted)

    - #### getZoom

          public double getZoom()

    - #### setZoom

          public void setZoom(double zoom)

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

    - #### isPreserveAspectRatio

          public boolean isPreserveAspectRatio()

    - #### getShadowSize

          public float getShadowSize()

    - #### setShadowSize

          public void setShadowSize(float shadowSize)

    - #### draw

          public void draw(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D area)

      Draws the object.
      Parameters:
        `g2` - the graphics device.
        `area` - the area inside which the object should be drawn.